Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# treeviewcolumn.hh File Reference

A GtkTreeViewColumn C++ wrapper interface. More...

`#include <xfc/gtk/object.hh>`
`#include <xfc/gtk/celllayout.hh>`
`#include <xfc/gtk/enums.hh>`
`#include <gtk/gtktreeviewcolumn.h>`
`#include <xfc/gtk/inline/treeviewcolumn.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::TreeViewColumn
    A GtkTreeViewColumn C++ wrapper class. More...

## Enumerations

- enum TreeViewColumnSizing {
  TREE_VIEW_COLUMN_GROW_ONLY = GTK_TREE_VIEW_COLUMN_GROW_ONLY,
  TREE_VIEW_COLUMN_AUTOSIZE = GTK_TREE_VIEW_COLUMN_AUTOSIZE,
  TREE_VIEW_COLUMN_FIXED = GTK_TREE_VIEW_COLUMN_FIXED
  }
    TreeViewColumnSizing defines the sizing method a column uses to determine it's width. More...

## Detailed Description

A GtkTreeViewColumn C++ wrapper interface.

Provides TreeViewColumn, an object that represents a visible column in a TreeView widget.

## Enumeration Type Documentation

enum TreeViewColumnSizing

TreeViewColumnSizing defines the sizing method a column uses to determine it's width.

Please note that TREE_VIEW_COLUMN_AUTOSIZE is inefficient for large views, and can make columns appear choppy.

Enumeration values:

  TREE_VIEW_COLUMN_GROW_ONLY | Columns only get bigger in reaction to changes in the model.
  TREE_VIEW_COLUMN_AUTOSIZE | Columns resize to be the optimal size everytime the model changes.
  TREE_VIEW_COLUMN_FIXED | Columns are a fixed numbers of pixels wide.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3